/* Base Neobrutalism Style */
.font-heading {
    font-family: 'Bungee', cursive !important;
}

.font-sans {
    font-family: 'Inter', sans-serif !important;
}

.brutal-border {
    border: 4px solid #000;
}

.brutal-shadow {
    box-shadow: 6px 6px 0px 0px #000;
}

.brutal-shadow-sm {
    box-shadow: 4px 4px 0px 0px #000;
}

.brutal-card {
    background-color: #fff;
    border: 4px solid #000;
    box-shadow: 6px 6px 0px 0px #000;
    transition: transform 0.2s cubic-bezier(0.4, 0, 0.2, 1);
}

.brutal-card:hover {
    transform: translate(-2px, -2px);
    box-shadow: 8px 8px 0px 0px #000;
}

.brutal-btn {
    border: 4px solid #000;
    font-family: 'Bungee', cursive;
    text-transform: uppercase;
    text-align: center;
    user-select: none;
    transition: all 0.15s cubic-bezier(0.4, 0, 0.2, 1);
    cursor: pointer;
}

.brutal-btn:active {
    transform: translate(4px, 4px) !important;
    box-shadow: none !important;
}

.brutal-btn-primary {
    background-color: #FFD600;
    box-shadow: 4px 4px 0px 0px #000;
    color: #000;
}

.brutal-btn-primary:hover {
    filter: brightness(1.1);
}

.brutal-btn-secondary {
    background-color: #fff;
    box-shadow: 4px 4px 0px 0px #000;
    color: #000;
}

.brutal-btn-secondary:hover {
    background-color: #f1f5f9;
}

.bg-secondary {
    background-color: #021fba !important;
}

.brutal-input {
    width: 100%;
    height: 3rem;
    padding: 0 1rem;
    border: 4px solid #000;
    font-weight: 700;
    background-color: #fff;
    box-shadow: inset 2px 2px 0px 0px rgba(0, 0, 0, 0.05);
}

.brutal-input:focus {
    outline: none;
}

/* Custom Scrollbar for a brutal look */
::-webkit-scrollbar {
    width: 12px;
    height: 12px;
}

::-webkit-scrollbar-track {
    background: #f1f1f1;
    border-left: 2px solid #000;
}

::-webkit-scrollbar-thumb {
    background: #021fba;
    border: 2px solid #000;
}

::-webkit-scrollbar-thumb:hover {
    background: #ffcc00;
}

/* Sidebar Active Nav state */
.nav-item.active {
    background-color: #FFD600 !important;
    color: #000 !important;
    border-color: #000 !important;
}

/* Base table style for brutalism */
.brutal-table-container {
    width: 100%;
    overflow-x: auto;
    border: 4px solid #000;
    box-shadow: 6px 6px 0px 0px #000;
    margin-bottom: 2rem;
}

.brutal-table {
    width: 100%;
    text-align: left;
    border-collapse: collapse;
    min-width: 600px;
    background-color: #fff;
}

.brutal-table th {
    background-color: #FFD600;
    border-bottom: 4px solid #000;
    padding: 1rem;
    font-family: 'Bungee', cursive;
    text-transform: uppercase;
    white-space: nowrap;
    border-right: 4px solid #000;
}

.brutal-table th:last-child {
    border-right: 0;
}

.brutal-table td {
    padding: 1rem;
    border-bottom: 4px solid #000;
    border-right: 4px solid #000;
    font-weight: 700;
    white-space: nowrap;
}

.brutal-table td:last-child {
    border-right: 0;
}

.brutal-table tr:hover td {
    background-color: #f8fafc;
}